No differences encountered
--- old/./ld_pd_map.c	Tue Aug 14 17:24:55 2012
+++ new/./ld_pd_map.c	Tue Aug 14 17:24:55 2012
@@ -128,11 +128,11 @@
 		con_log(CL_ANN1, (CE_NOTE,\
 		    "map info structure size 0x%x\
 		    is not matching with ld count\n",\
-		    ((sizeof (MR_FW_RAID_MAP) - sizeof (MR_LD_SPAN_MAP)) +\
+		    (int)((sizeof (MR_FW_RAID_MAP) - sizeof (MR_LD_SPAN_MAP)) +\
 		    (sizeof (MR_LD_SPAN_MAP) * pFwRaidMap->ldCount))));
 
 		con_log(CL_ANN1, (CE_NOTE, "span map 0x%x total size 0x%x\n",\
-		    sizeof (MR_LD_SPAN_MAP), pFwRaidMap->totalSize));
+		    (int)sizeof (MR_LD_SPAN_MAP), pFwRaidMap->totalSize));
 
 		return (0);
 	}
No differences encountered
--- old/./mr_sas.c	Tue Aug 14 17:24:55 2012
+++ new/./mr_sas.c	Tue Aug 14 17:24:55 2012
@@ -311,7 +311,8 @@
  * - report that the device instance (for MegaRAID, controller instance) has
  *   attached
  */
-#if       __SunOS_5_11
+/* #if       __SunOS_5_11 */
+#if 0
 #define   DDI_PM_RESUME DDI_PM_RESUME_OBSOLETE
 #define   DDI_PM_SUSPEND DDI_PM_SUSPEND_OBSOLETE
 #endif // __SunOS_5_11
@@ -2647,7 +2648,7 @@
 
 		con_log(CL_ANN1, (CE_CONT, "RAID-CONTEXT\n"));
 		con_log(CL_ANN1, (CE_CONT, "status=0x%X extStatus=0x%X ldTargetId=0x%X timeoutValue=0x%X"
-			"regLockFlags=0x%X RAIDFlags=0x%X regLockRowLBA=0x%lX regLockLength=0x%X spanArm=0x%X\n",
+			"regLockFlags=0x%X RAIDFlags=0x%X regLockRowLBA=0x%" PRIx64 " regLockLength=0x%X spanArm=0x%X\n",
 			ddi_get8(instance->mpi2_frame_pool_dma_obj.acc_handle, &scsi_io->RaidContext.status),
 			ddi_get8(instance->mpi2_frame_pool_dma_obj.acc_handle, &scsi_io->RaidContext.extStatus),
 			ddi_get16(instance->mpi2_frame_pool_dma_obj.acc_handle, &scsi_io->RaidContext.ldTargetId),
--- old/./mr_sas.h	Tue Aug 14 17:24:55 2012
+++ new/./mr_sas.h	Tue Aug 14 17:24:55 2012
@@ -633,7 +633,7 @@
 #define	CL_DLEVEL3	5	/* debug level 3, very verbose */
 
 #ifdef __SUNPRO_C
-#define	__func__	__FUNCTION__	//""
+#define	__func__ ""
 #endif
 
 #define	con_log(level, fmt) { if (debug_level_g >= level) cmn_err fmt; }
No differences encountered
--- old/./mr_sas_tbolt.c	Tue Aug 14 17:24:56 2012
+++ new/./mr_sas_tbolt.c	Tue Aug 14 17:24:56 2012
@@ -16,7 +16,6 @@
  */
 
 
-#include <stddef.h>
 #include <sys/types.h>
 #include <sys/file.h>
 #include <sys/atomic.h>
@@ -204,7 +203,7 @@
 	    instance->mpi2_frame_pool_dma_obj.dma_cookie[0].dmac_address;
 
 	con_log(CL_DLEVEL3, (CE_NOTE,
-	    "io_request_frames 0x%x",
+	    "io_request_frames 0x%p",
 	    instance->io_request_frames));
 
 	con_log(CL_DLEVEL3, (CE_NOTE,
@@ -250,7 +249,7 @@
 		cmd->SMID = i+1;
 
 		con_log(CL_DLEVEL3, (CE_NOTE,
-		    "Frame Pool Addr [%x]0x%x",
+		    "Frame Pool Addr [%x]0x%p",
 		    cmd->index, cmd->scsi_io_request));
 
 		con_log(CL_DLEVEL3, (CE_NOTE,
@@ -258,7 +257,7 @@
 		    cmd->index, cmd->scsi_io_request_phys_addr));
 
 		con_log(CL_DLEVEL3, (CE_NOTE,
-		    "Sense Addr [%x]0x%x",
+		    "Sense Addr [%x]0x%p",
 		    cmd->index, cmd->sense1));
 
 		con_log(CL_DLEVEL3, (CE_NOTE,
@@ -267,7 +266,7 @@
 
 
 		con_log(CL_DLEVEL3, (CE_NOTE,
-		    "Sgl bufffers [%x]0x%x",
+		    "Sgl bufffers [%x]0x%p",
 		    cmd->index, cmd->sgl));
 
 		con_log(CL_DLEVEL3, (CE_NOTE,
@@ -433,7 +432,7 @@
 
 	/* Allocate Reply Descriptors */
 	con_log(CL_ANN1, (CE_NOTE, " reply q desc len = %x\n",
-	    sizeof (MPI2_REPLY_DESCRIPTORS_UNION)));
+	    (uint_t)sizeof (MPI2_REPLY_DESCRIPTORS_UNION)));
 
 	// reply queue size should be multiple of 16
 	max_reply_q_sz = ((instance->max_fw_cmds + 1 + 15)/16)*16;
@@ -442,7 +441,7 @@
 
 
 	con_log(CL_ANN1, (CE_NOTE, " reply q desc len = %x\n",
-	    sizeof (MPI2_REPLY_DESCRIPTORS_UNION)));
+	    (uint_t)sizeof (MPI2_REPLY_DESCRIPTORS_UNION)));
 
 	instance->reply_desc_dma_obj.size = reply_q_sz;
 	instance->reply_desc_dma_obj.dma_attr = mrsas_generic_dma_attr;
@@ -470,7 +469,7 @@
 	con_log(CL_ANN1, (CE_NOTE, "[reply queue depth]0x%x",
 	    instance->reply_q_depth));
 
-	con_log(CL_ANN1, (CE_NOTE, "[reply queue virt addr]0x%x",
+	con_log(CL_ANN1, (CE_NOTE, "[reply queue virt addr]0x%p",
 	    instance->reply_frame_pool));
 
 	/* initializing reply address to 0xFFFFFFFF */
@@ -497,11 +496,11 @@
 
 
 	con_log(CL_ANN1, (CE_NOTE, " request q desc len = %x\n",
-	    sizeof (MRSAS_REQUEST_DESCRIPTOR_UNION)));
+	    (int)sizeof (MRSAS_REQUEST_DESCRIPTOR_UNION)));
 
 	/* Allocate Request Descriptors */
 	con_log(CL_ANN1, (CE_NOTE, " request q desc len = %x\n",
-	    sizeof (MRSAS_REQUEST_DESCRIPTOR_UNION)));
+	    (int)sizeof (MRSAS_REQUEST_DESCRIPTOR_UNION)));
 
 	request_q_sz = 8 *
 	    (instance->max_fw_cmds);
@@ -906,12 +905,12 @@
 
 #ifdef DEBUG
 	con_log(CL_ANN1, (CE_CONT, " mfiFrameInit2 len = %x\n",
-	    sizeof (*mfiFrameInit2)));
-	con_log(CL_ANN1, (CE_CONT, " MPI len = %x\n", sizeof (*init)));
+	    (int)sizeof (*mfiFrameInit2)));
+	con_log(CL_ANN1, (CE_CONT, " MPI len = %x\n", (int)sizeof (*init)));
 	con_log(CL_ANN1, (CE_CONT, " mfiFrameInit2 len = %x\n",
-	    sizeof (struct mrsas_init_frame2)));
+	    (int)sizeof (struct mrsas_init_frame2)));
 	con_log(CL_ANN1, (CE_CONT, " MPI len = %x\n",
-	    sizeof (Mpi2IOCInitRequest_t)));
+	    (int)sizeof (Mpi2IOCInitRequest_t)));
 #endif
 
 	init = (Mpi2IOCInitRequest_t *)mpi2_dma_obj->buffer;
@@ -969,7 +968,7 @@
 	cmd->drv_pkt_time = 0;
 
 	mfiFrameInit2 = (struct mrsas_init_frame2 *)cmd->scsi_io_request;
-	con_log(CL_ANN1, (CE_CONT, "[mfi vaddr]%x", mfiFrameInit2));
+	con_log(CL_ANN1, (CE_CONT, "[mfi vaddr]%p", mfiFrameInit2));
 
 	frame_hdr = &cmd->frame->hdr;
 
@@ -1006,7 +1005,7 @@
 	    sizeof (Mpi2IOCInitRequest_t));
 
 	con_log(CL_ANN1, (CE_CONT, "[reply q desc addr]%x",
-	    init->ReplyDescriptorPostQueueAddress));
+	    (int)init->ReplyDescriptorPostQueueAddress));
 
 	/* fill driver version information*/	
 	fill_up_drv_ver(&drv_ver_info);
@@ -1038,12 +1037,13 @@
 
 	con_log(CL_ANN1, (CE_CONT, "[MPIINIT2 frame Phys addr ]0x%x len = %x",
 	    mfiFrameInit2->queue_info_new_phys_addr_lo,
-	    sizeof (Mpi2IOCInitRequest_t)));
+	    (int)sizeof (Mpi2IOCInitRequest_t)));
 
 	con_log(CL_ANN1, (CE_CONT, "[Length]%x", mfiFrameInit2->data_xfer_len));
 
 	con_log(CL_ANN1, (CE_CONT, "[MFI frame Phys Address]%x len = %x",
-	    cmd->scsi_io_request_phys_addr, sizeof (struct mrsas_init_frame2)));
+	    cmd->scsi_io_request_phys_addr,
+	    (int) sizeof (struct mrsas_init_frame2)));
 
 	/* disable interrupts before sending INIT2 frame */
 	instance->func_ptr->disable_intr(instance);
@@ -1184,7 +1184,7 @@
 		    DDI_DMA_SYNC_FORDEV);
 
 		con_log(CL_ANN, (CE_CONT, "tbolt_issue_cmd: SCSI CDB[0]=0x%x "
-		    "cmd->index:0x%x SMID %0x%x\n", pkt->pkt_cdbp[0], cmd->index, cmd->SMID));
+		    "cmd->index:0x%x SMID 0x%x\n", pkt->pkt_cdbp[0], cmd->index, cmd->SMID));
 
 		instance->func_ptr->issue_cmd(cmd, instance);
 
@@ -1316,7 +1316,7 @@
 		*datalen += acmd->cmd_dmacookies[i].dmac_size;
 
 #ifdef DEBUG
-		con_log(CL_DLEVEL1, (CE_NOTE, "[SGL Address]:%llx",
+		con_log(CL_DLEVEL1, (CE_NOTE, "[SGL Address]: %" PRIx64,
 		    scsi_raid_io_sgl_ieee->Address));
 		con_log(CL_DLEVEL1, (CE_NOTE, "[SGL Length]:%x",
 		    scsi_raid_io_sgl_ieee->Length));
@@ -1406,7 +1406,7 @@
 
 #if DEBUG
 			con_log(CL_DLEVEL1, (CE_NOTE,
-			    "[SGL Address]:%llx",
+			    "[SGL Address]: %" PRIx64,
 			    scsi_raid_io_sgl_ieee->Address));
 			con_log(CL_DLEVEL1, (CE_NOTE,
 			    "[SGL Length]:%x", scsi_raid_io_sgl_ieee->Length));
@@ -1986,11 +1986,12 @@
 	con_log(CL_ANN1, (CE_NOTE, "tbolt_issue_cmd: cmd->[SMID]=0x%X", cmd->SMID));
 
 	con_log(CL_DLEVEL1, (CE_CONT,
-	    " [req desc Words] %llx \n", req_desc->Words));
+	    " [req desc Words] %" PRIx64 " \n", req_desc->Words));
 	con_log(CL_DLEVEL1, (CE_CONT,
-	    " [req desc low part] %x \n", req_desc->Words));
+	    " [req desc low part] %x \n",
+	    (uint_t)(req_desc->Words & 0xffffffffff)));
 	con_log(CL_DLEVEL1, (CE_CONT,
-	    " [req desc high part] %x \n", (req_desc->Words >> 32)));
+	    " [req desc high part] %x \n", (uint_t)(req_desc->Words >> 32)));
 	pkt = cmd->pkt;
 	
 	if (pkt) {
@@ -2057,10 +2058,10 @@
 	}
 
 	con_log(CL_DLEVEL2, (CE_NOTE,
-	    "HighQport offset :%lx",
+	    "HighQport offset :%p",
 	    (uint32_t *)((uintptr_t)(instance)->regmap + IB_HIGH_QPORT)));
 	con_log(CL_DLEVEL2, (CE_NOTE,
-	    "LowQport offset :%lx",
+	    "LowQport offset :%p",
 	    (uint32_t *)((uintptr_t)(instance)->regmap + IB_LOW_QPORT)));
 
 	cmd->sync_cmd = MRSAS_TRUE;
@@ -2073,9 +2074,9 @@
 	mutex_exit(&instance->reg_write_mtx);
 
 	con_log(CL_ANN1, (CE_NOTE,
-	    " req desc high part %x \n", (req_desc->Words >> 32)));
+	    " req desc high part %x \n", (uint_t)(req_desc->Words >> 32)));
 	con_log(CL_ANN1, (CE_NOTE,
-	    " req desc low part %x \n", req_desc->Words));
+	    " req desc low part %x \n", (uint_t)(req_desc->Words & 0xffffffff)));
 
 	mutex_enter(&instance->int_cmd_mtx);
 	for (i = 0; i < msecs && (cmd->cmd_status == ENODATA); i++) {
@@ -2115,9 +2116,9 @@
 	ddi_put16(cmd->frame_dma_obj.acc_handle, &frame_hdr->flags, flags);
 
 	con_log(CL_ANN1, (CE_NOTE,
-	    " req desc low part %x \n", req_desc->Words));
+	    " req desc low part %x \n", (uint_t)(req_desc->Words & 0xffffffff)));
 	con_log(CL_ANN1, (CE_NOTE,
-	    " req desc high part %x \n", (req_desc->Words >> 32)));
+	    " req desc high part %x \n", (uint_t)(req_desc->Words >> 32)));
 
 	/* issue the frame using inbound queue port */
 	mutex_enter(&instance->reg_write_mtx);
@@ -2135,7 +2136,7 @@
 	if (ddi_get8(cmd->frame_dma_obj.acc_handle,
 	    &frame_hdr->cmd_status) == MFI_CMD_STATUS_POLL_MODE) {
 		con_log(CL_ANN1, (CE_NOTE,
-		    " cmd failed %x \n", (req_desc->Words)));
+		    " cmd failed %" PRIx64 " \n", (req_desc->Words)));
 		return (DDI_FAILURE);
 	}
 
@@ -2312,7 +2313,7 @@
 	    mr_sas_get_request_descriptor(instance, index, cmd);
 
 	if (!ReqDescUnion) {
-		con_log(CL_ANN1, (CE_NOTE, "[NULL REQDESC]%x"));
+		con_log(CL_ANN1, (CE_NOTE, "[NULL REQDESC]"));
 		return;
 	}
 
@@ -2370,7 +2371,7 @@
 	    &scsi_raid_io_sgl_ieee->Length, 1024); //MEGASAS_MAX_SZ_CHAIN_FRAME
 
 	con_log(CL_ANN1, (CE_NOTE,
-	    "[MFI CMD PHY ADDRESS]:%x",
+	    "[MFI CMD PHY ADDRESS]:%" PRIx64,
 	    scsi_raid_io_sgl_ieee->Address));
 	con_log(CL_ANN1, (CE_NOTE,
 	    "[SGL Length]:%x", scsi_raid_io_sgl_ieee->Length));
@@ -2630,7 +2631,7 @@
 			else {
 				instance->map_id++;
 				cmn_err(CE_NOTE,
-			    		"map sync received, switched map_id to %ld \n",instance->map_id);
+			    		"map sync received, switched map_id to %" PRIu64 " \n",instance->map_id);
 			}
 
 			if (MR_ValidateMapInfo(instance->ld_map[(instance->map_id & 1)], instance->load_balance_info))
@@ -2724,7 +2725,7 @@
 	if (replyType == MPI2_RPY_DESCRIPT_FLAGS_UNUSED)
 		return (DDI_INTR_UNCLAIMED);
 
-	con_log(CL_ANN1, (CE_NOTE, "Reply Desc  = %llx  Words = %llx \n",
+	con_log(CL_ANN1, (CE_NOTE, "Reply Desc  = %p  Words = %" PRIx64 " \n",
 				desc, desc->Words));
 
 	d_val.word = desc->Words;
@@ -2741,7 +2742,7 @@
 
 		if (!smid || smid > instance->max_fw_cmds + 1) {
 			con_log(CL_ANN1, (CE_NOTE,
-			    "Reply Desc at Break  = %llx  Words = %llx \n",
+			    "Reply Desc at Break  = %p  Words = %" PRIx64 " \n",
 			    desc, desc->Words));
 			break;
 		}
@@ -2797,7 +2798,7 @@
 		d_val.word = desc->Words;
 
 		con_log(CL_ANN1, (CE_NOTE,
-		    "Next Reply Desc  = %llx Words = %llx\n",
+		    "Next Reply Desc  = %p Words = %" PRIx64 "\n",
 		    desc, desc->Words));
 
 		replyType = replyDesc->ReplyFlags &
